Page MenuHomePhabricator

Prohibit editing of initial description in tasks
Closed, DeclinedPublic

Description

Task stealers! :-D

Allowing others to edit task description allows them to add details (yay!), but also to reframe/change it to a different purpose.

Example:
For T229 started as bug for missing CodeReview-1/+1 in Phabricator.
In T229#21 details have been added to the task description. That's great. Wohoo!
But in T229#36 the task was turned into a huge, different task beast.

If I want to bring the discussion back to CodeReview-1/+1, I can no longer say “Let's come back to the task's description” ... instead I can edit-war the description :-), or I can create the original tiny task about CodeReview-1/+1 once again (as separate task).

I prefer the Bugzilla way. Someone describes a problem, and afterwards details/corrections can only be added as comments. That's sufficiently simple. And things do not mutate over time.

Details

Reference
fl273

Event Timeline

flimport raised the priority of this task from to Low.
flimport set Reference to fl273.

aklapper wrote on 2014-05-02 14:29:42 (UTC)

Hmm, I just edited the title here. I hope that was fine, if not please revert.

So I hope / assumed this only refers to the initial description, and not all comments?

In general I do support editing followup comments - it's a very common complaint in Bugzilla that people cannot edit a comment once they have added it.
I agree that it's problematic that *anybody* can edit the *initial* task description of the reporter, and that there is *no* "Edited" indicator, only somewhere down on the page a "Foo edited the task description."
We should upstream this once it's clear we talk about the same scope.

qgil wrote on 2014-05-02 14:53:21 (UTC)

I believe this is a cultural problem more than a technological problem. In the case you describe it was probably my fault: I should have created the more generic task instead of stealing your task. Because everything is editable, we can do it.

Editing Comment #0 in Bugzilla is also a feature that many miss (including myself). Editing tasks in Phabricator is a plus.

Phabricator allows us to define who can edit tasks (different of who can prioritize, who can resolve...) Currently we have it open:

Can Edit Task Status: All Users

This is in fact consistent with our wiki practices, and I would leave it as is until we find a serious problem of abuse. Aside from this, I'm sorry if I have stolen your task, and I will revert changes if you wish.

Having an "Edited" label just like comments have it makes sense. I guess this is all that you were suggesting to report upstream?

qgil wrote on 2014-05-02 15:11:55 (UTC)

But in T229#36 the task was turned into a huge, different task beast.

Reverted. It's the wiki way. :)

aklapper wrote on 2014-05-02 15:38:45 (UTC)

Having an "Edited" label just like comments have it makes sense. I guess this is all that you were suggesting to report upstream?

Yes, upstreamed: https://secure.phabricator.com/T4944

mattflaschen wrote on 2014-05-02 21:01:24 (UTC)

qgil:

I believe this is a cultural problem more than a technological problem.

Yes, I think there are benefits to being able to make appropriate adjustments to the task description (e.g. correcting a partial inaccuracy in the initial report, summarizing status of the fix, inlining important files, mockups, pastes, etc.). See https://secure.phabricator.com/T4944 for some discussion about the idea of the task description as a living document.

It's true that people can sometimes misuse this. However, even with the current Phabricator system, there is enough transparency to see when people are making changes, and whether they are appropriate.

It might be good to make the overall list of edits to the description more prominent at the top (I commented as such upstream), but it's not a blocker.

Nemo_bis wrote on 2014-05-05 12:42:48 (UTC)

The ability to edit comment 0 is basically the only thing I liked so far of Phabricator... See http://fab.wmflabs.org/T116 . Any bug with more than 10 comments gets exponentially less useful on bugzilla as more are added.

mattflaschen wrote on 2014-05-06 20:16:47 (UTC)

What is proposed as 'Day 1' here? It seems that most people prefer to keep the description editable, so I propose to close this as WONTFIX. We can make a separate, non-blocking (does not need to be done for day one) item, for tracking https://secure.phabricator.com/T4944

Nemo_bis wrote on 2014-05-07 10:46:02 (UTC)

Agreed.

mattflaschen wrote on 2014-05-13 22:22:59 (UTC)

We can make a separate, non-blocking (does not need to be done for day one) item, for tracking https://secure.phabricator.com/T4944

Filed as T331.

aklapper wrote on 2014-08-18 21:08:56 (UTC)

[Fixing task status again which got munged when renaming according to T359.]

importing issue status

flimport closed this task as Declined.Sep 12 2014, 1:33 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM